* {
  box-sizing: border-box;
  font-family: Mouse Memoirs;
}

body {
  margin: 0;
}

/*styles for body*/
body {
  margin: 0;
  /*gives the body margin of 0 pixels*/
  font-family: Arial, Helvetica, sans-serif;
  /*changes font style of body to Arial */
}

.flex {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 30px;
  gap: 10px;
}

/*styles for top navigation*/
.topnav {
  overflow: hidden;
  /*overflow content will be hidden*/
  background-color: rgb(10, 10, 10);
  /*gives a background color*/
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.topnav button{
  background-color: #000000;
  border: 1px;
  border-color: #717171;
}

/*styles for anchor tags in the parent class topnav*/
.topnav a {
  float: left;
  /*content will be floated to left of it's parent element*/
  display: block;
  /*nav bar will occupy whole space horizontally*/
  color: #f2f2f2;
  /*Gives color to text*/
  text-align: center;
  /*aligns the text at left horizontally*/
  padding: 14px 16px;
  /*gives a space of 14px top & bottom and 16px left & right between content and borders*/
  text-decoration: none;
  /*no text decoration*/
  font-size: 17px;
  /*sets the font size to 17px*/
}

/*styles for when anchor elements are hovered */
.topnav a:hover {
  background-color: gray;
  color: wheat;
}

/*styles for when anchor elements are clicked*/


.topnav .icon {
  display: none;
  float: right;
}


@media screen and (max-width: 600px) {
  .topnav a:not(:first-child) {
    display: none;
  }

  .topnav a.icon {
    float: right;
    display: block;
  }
}

@media screen and (max-width: 600px) {
  .topnav.responsive {
    position: relative;
  }

  .topnav.responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }

  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
}

.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  float: left;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
}

.sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.sidenav a:hover {
  color: #f1f1f1;
}

.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

@media screen and (max-height: 450px) {
  .sidenav {
    padding-top: 15px;
  }

  .sidenav a {
    font-size: 18px;
  }
}

.parallax {
  background-image: url(https://i2-prod.bristolpost.co.uk/incoming/article610410.ece/ALTERNATES/s1200/0_Woky-Ko-CARGO-Wapping-Wharf-Exterior-3-credit-JonCraig_Photos.jpg);
  min-height: 500px;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 100%;
}

.parallax1 {
  background-image: url(https://i.pinimg.com/originals/42/c3/a5/42c3a54a0ecec681b21fe32607359be2.jpg);
  min-height: 500px;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 100%;
}

.parallax2 {
  background-image: url(https://image.freepik.com/free-photo/coffee-drink-beverage-joyful-leisure-resting-leisure-concept_53876-79174.jpg);
  min-height: 500px;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 100%;
}

.text1 {
  background-color: rgba(89, 119, 89, 0.575);
  font-size: 48px;
  font-family: 'Edu VIC WA NT Beginner', 'cursive';
  text-align: center;
  padding: 20px 20px;
}

.text2 {

  background-color: bisque;
  font-size: 44px;
  font-family: 'Cormorant SC', serif;
  text-align: center;
  padding: 30px 30px;
}

/* para */

.button1 {
  padding: 10px;
  border-radius: 27px;
  border: 0px;
  margin: 5px;
  background-color: rgb(249, 162, 70);
  font-size: 15px;
  width: 120px;
  cursor: pointer;
}

.button1:hover {
  background-color: rgb(84, 77, 71);
}

.button1 a{
  color: white;
  text-decoration: none;
}

/* Slideshow container */
.slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
}

.mySlides {
  display: none;
}

img {
  vertical-align: middle;
}

/* Next & previous buttons */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -22px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

/* Caption text */
.text {
  color: #020101;
  background-color: rgba(232, 180, 7, 0.833);
  font-size: 25px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active,
.dot:hover {
  background-color: #717171;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {
    opacity: .4
  }

  to {
    opacity: 1
  }
}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {

  .prev,
  .next,
  .text {
    font-size: 11px
  }
}

.text-block {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.784);
  top: 65px;
  right: 20px;
  color: white;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  text-align: center;
  height: 110px;
  width: 140px;
  border-radius: 8px;
  font-size: small;
}

.imgFlex {
  display: flex;
  align-items: center;
  justify-content: center;
  justify-items: center;
  flex-direction: horizontal;
  flex-wrap: wrap;
  gap: 25px;
  margin: 29px;
}

.imgFlex img {
  height: 200px;
  width: 200px;
  border-radius: 7px;
}

@media only screen and (max-width:600px){
  .imageFlex{
    display:flex;
    flex-wrap: wrap;
  }  
}

.container {
  position: relative;
  font-family: Arial;
}

.text3{
  text-align: center;
  padding: 25px;
  margin:10px;
  font-family: 'Franklin Gothic Bold', 'Arial Narrow Bold', Arial, sans-serif;
  font-size: 30px;
}

.flip-card {
  background-color: transparent;
  width: 200px;
  height: 200px;
  perspective: 1000px;
  
}

.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.6s;
  transform-style: preserve-3d;
  box-shadow: 0 4px 8px 0 rgba(9, 70, 2, 0.2);
  border-radius: 10px;
}

.flip-card:hover .flip-card-inner {
  transform: rotateY(180deg);
}

.flip-card-front, .flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  border-radius: 10px;
}

.flip-card-front {
  background-color: white;
  color: black;
  border-radius: 10px;
}

.flip-card-back {
  background-color: #C6808C;
  color: white ;
  font-size: 15px;
  transform: rotateY(180deg);
  border-radius: 10px;
}

.flipFlex{
  display: flex;
  align-items: center;
  justify-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap:20px;
  padding: 20px;
  margin: 10px;
} 


.button3 {
  padding: 10px;
  border-radius: 27px;
  border: 0px;
  margin: 5px;
  background-color: #630000;
  color: #F0EBE3;
  font-size: 15px;
  width: 120px;
  cursor: pointer;
}

.button3:hover{
  background-color: #D8B6A4;
  width:125px;
}

.button3 a{
  color:white;
  text-decoration: none;
}

#pizza{
  display: none;
}

#burger{
  display: none;
}

#toast{
  display: none;
}

#salad{
  display: none;
}

#drink{
  display: none;
}

#dessert{
  display: none;
}


/* Style inputs */
input[type=text], select, textarea {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 8px;
  margin-top: 6px;
  margin-bottom: 16px;
  resize: vertical;
}

input[type=submit] {
  background-color: #605E5F;
  color: white;
  padding: 12px 20px;
  border: none;
  cursor: pointer;
}

input[type=submit]:hover {
  background-color: grey;
}

/* Style the container/contact section */
.container1 {
  border-radius: 5px;
  background-color: #A9A8AA;
  padding: 20px;
  margin: 10px;
  font-family: 'Times New Roman', Times, serif;
}

/* Create two columns that float next to eachother */
.column {
  float: left;
  width: 50%;
  margin-top: 6px;
  padding: 20px;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Responsive layout - when the screen is less than 600px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
  .column, input[type=submit] {
    width: 100%;
    margin-top: 0;
  }
}

/* Full-width input fields */
input[type=text], input[type=number] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 8px;
  box-sizing: border-box;
}

/* Set a style for all buttons */


button:hover {
  opacity: 0.8;
}

/* Extra styles for the cancel button */
.cancelbtn {
  width: auto;
  padding: 10px 18px;
  background-color: #caaaa7;
  border: none;
  border-radius: 5px;
}

/* Center the image and position the close button */
.imgcontainer {
  text-align: center;
  margin: 24px 0 12px 0;
  position: relative;
}

img.avatar {
  width: 40%;
  border-radius: 50%;
}

.container1 {
  padding: 16px;
  display: flex;
  flex-direction: column;
}

span.psw {
  float: right;
  padding-top: 16px;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  padding-top: 60px;
}

/* Modal Content/Box */
.modal-content {
  background-color: #fefefe;
  margin: 5% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
}

/* The Close Button (x) */
.close {
  position: absolute;
  right: 25px;
  top: 0;
  color: #000;
  font-size: 35px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: red;
  cursor: pointer;
}

/* Add Zoom Animation */
.animate {
  -webkit-animation: animatezoom 0.6s;
  animation: animatezoom 0.6s
}

@-webkit-keyframes animatezoom {
  from {-webkit-transform: scale(0)} 
  to {-webkit-transform: scale(1)}
}
  
@keyframes animatezoom {
  from {transform: scale(0)} 
  to {transform: scale(1)}
}

/* Change styles for span and cancel button on extra small screens */
@media screen and (max-width: 300px) {
  span.psw {
     display: block;
     float: none;
  }
  .cancelbtn {
     width: 100%;
  }
}